using Avalonia;
using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;

namespace IposiGospodDemo.Views;

public partial class BMICalculatorWindow : Window
{
    public BMICalculatorWindow()
    {
        InitializeComponent();
    }
    
    private void GoBack_OnClick(object? sender, RoutedEventArgs e)
    {
        new MoreInformationWindow().Show();
        Close();
    }
    
    private void GenderSelectionChanged(object sender, RoutedEventArgs e)
    {
        if (sender == MaleButton)
        {
            MaleButton.IsChecked = true;
            MaleButton.BorderThickness = new Thickness(5);
            FemaleButton.IsChecked = false;
            FemaleButton.BorderThickness = new Thickness(2);
        }
        else
        {
            FemaleButton.IsChecked = true;
            FemaleButton.BorderThickness = new Thickness(5);
            MaleButton.IsChecked = false;
            MaleButton.BorderThickness = new Thickness(2);
        }
    }

    private void Calculate_OnClick(object? sender, RoutedEventArgs e)
    {
        if (!double.TryParse(UserWeight.Text, out double weight) ||
            !double.TryParse(UserHeight.Text, out double heightCm))
        {
            TextResult.Text = "Некорректные данные";
            NumberResult.Text = "Ошибка";
            return;
        }
    
        double heightM = heightCm / 100.0;
        double bmi = weight / (heightM * heightM);
        NumberResult.Text = bmi.ToString("F1");
    
        LessTriangle.IsVisible = false;
        GoodTriangle.IsVisible = false;
        MoreTriangle.IsVisible = false;
        BadTriangle.IsVisible = false;
    
        if (bmi < 18.5)
        {
            TextResult.Text = "Недостаточный";
            LessTriangle.IsVisible = true;
        }
        else if (bmi >= 18.5 && bmi <= 24.9)
        {
            TextResult.Text = "Здоровый";
            GoodTriangle.IsVisible = true;
        }
        else if (bmi >= 25 && bmi <= 29.9)
        {
            TextResult.Text = "Избыточный";
            MoreTriangle.IsVisible = true;
        }
        else
        {
            TextResult.Text = "Ожирение";
            BadTriangle.IsVisible = true;
        }
    }

}