using Avalonia;
using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;

namespace IposiGospodDemo.Views;

public partial class BMRCalculatorWindow : Window
{
    public BMRCalculatorWindow()
    {
        InitializeComponent();
    }
    
    private void GoBack_OnClick(object? sender, RoutedEventArgs e)
    {
        new MoreInformationWindow().Show();
        Close();
    }
    
    private void GenderSelectionChanged(object sender, RoutedEventArgs e)
    {
        if (sender == MaleButton)
        {
            MaleButton.IsChecked = true;
            MaleButton.BorderThickness = new Thickness(5);
            FemaleButton.IsChecked = false;
            FemaleButton.BorderThickness = new Thickness(2);
        }
        else
        {
            FemaleButton.IsChecked = true;
            FemaleButton.BorderThickness = new Thickness(5);
            MaleButton.IsChecked = false;
            MaleButton.BorderThickness = new Thickness(2);
        }
    }

    private void Calculate_OnClick(object? sender, RoutedEventArgs e)
    {
        if (!double.TryParse(UserWeight.Text, out double weight) ||
            !double.TryParse(UserHeight.Text, out double height) ||
            !double.TryParse(UserAge.Text, out double age))
        {
            NumberResult.Text = "Ошибка ввода";
            return;
        }

        double bmr;
        if (MaleButton.IsChecked == true)
        {
            bmr = 66 + (13.7 * weight) + (5 * height) - (6.8 * age);
        }
        else
        {
            bmr = 655 + (9.6 * weight) + (1.8 * height) - (4.7 * age);
        }

        NumberResult.Text = bmr.ToString("F1") + " ккал";

        ChearActive.Text = (bmr * 1.2).ToString("F1");
        MiniActive.Text = (bmr * 1.375).ToString("F1");
        MidActive.Text = (bmr * 1.55).ToString("F1");
        StrongActive.Text = (bmr * 1.725).ToString("F1");
        MaxActive.Text = (bmr * 1.9).ToString("F1");
    }

    private void OpenBMRInfoWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        new BMRInfoWindow().Show();
    }
}