using System;
using System.IO;
using System.Reflection;
using Avalonia.Controls;
using Avalonia.Interactivity;

namespace IposiGospodDemo.Views;

public partial class MainWindow : Window
{
    public MainWindow()
    {
        InitializeComponent();
        Loaded += OnLoaded;
    }

    private void OnLoaded(object? sender, Avalonia.Interactivity.RoutedEventArgs e)
    {
        string mainPath = Assembly.GetEntryAssembly().Location;
        Session.AssetsPath = string.Concat(Path.GetDirectoryName(mainPath)!, "\\Assets\\");
    }

    private void SwapToLoginWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        try
        {
            new LoginWindow().Show();
            Close();
        } catch (Exception exception)
        {
            Console.WriteLine("Unlucky, something went wrong by going to login window");
        }
    }

    private void SwapToSponsorARunnerWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        new SponsorARunnerWindow().Show();
        Close();
    }

    private void SwapToMoreInformationWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        new MoreInformationWindow().Show();
        Close();
    }
}